:root {
  --font-project: 'Raleway', sans-serif;
}
html{
  font-size: 14px;
}
body {
  font-family: var(--font-project);
  margin: 0 auto;
}
.header, footer {
  width: 100%;
  height: 8.4rem;
  background-color: #F8F4FC;
  color: #354657;
}
.header_box, .footer_box {
  width: 80%;
  height: 8.4rem;
  margin: 0 auto;
  display: flex;
  flex-direction: row;
}
.header_menu {
  width: 65%;
  display: flex;
  flex-direction: column;
}
.header_nav {
  width: 30%;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
.header_menu_top {
  display: flex;
}
.heaheader_menu_top ul {
  list-style: none;
  margin-left: 10%;
}
.header_menu_top li {
  width: 5rem;
  display: inline-block;
  margin-left: 1rem;
}
.header a {
  text-decoration: none;
  color: #354657;
}
.header_nav li {
  display: inline-block;
  width: 10%;
  margin-left: 2rem;
}
.header_menu_foot ul {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  list-style: none;
  padding: 0%;
}
.header_menu_foot li {
  margin-left: 1rem;
  list-style: none;
}
.container {
  width: 80%;
  margin: 0 auto;
  margin-top: 5rem;
}
h1 {
  font-size: 2.2rem;
  font-weight: 700;
}
.order {
  display: grid;
  grid-template-columns: repeat(1, 3fr 7fr);
  gap: 2.1rem;
  grid-auto-rows: auto;
}
.registracion, .delivery_methods, .order_data, .order_pay {
  background-color: #F0F2F5;;
}
.registracion form, .delivery_methods form, .order_data form, .order_pay form {
  margin-top: 1.4rem;
  margin-left: 1.4rem;
  margin-right: 1.4rem;
}
h3 {
  font-size: 1.4rem;
  font-weight: 700;
  text-align: left;
  margin: 0;
}
.registracion p:first-of-type {
  display: inline-block;
  margin-bottom: 2rem;
  font-size: 1.2rem;
  width: 6rem
}
.registracion p:last-of-type {
  display: inline-block;
  margin-bottom: 2rem;
  font-size: 1.2rem;
  width: 15rem
}
.delivery_methods p, .order_pay p {
  display: inline-block;
  margin-bottom: 2rem;
  font-size: 1.2rem;
  width: 20rem
}
.registracion p:first-of-type {
  margin-right: 2rem;
}
/* Стицізація input в .registracion, .delivery_methods, order_pay */

input#method3, input#method2, input#method1, input#exit, 
input#registration, input#pay_method1, input#pay_method2, input#pay_method3 {
  display: none;
}

input#method1 + label, input#method2 + label, input#method3 + label,
input#exit + label, input#registration + label, input#pay_method1 + label,
input#pay_method2 + label, input#pay_method3 + label {
  border: 1px solid black;
  border-radius: 50%;
  height: 1rem;
  width: 1rem;
  display: inline-block;
  background-color: white;
}
input#method1:checked + label, input#method2:checked + label, 
input#method3:checked + label, input#exit:checked + label,
input#registration:checked + label, input#pay_method1:checked + label,
input#pay_method2:checked + label, input#pay_method3:checked + label {
  border: 1px solid #946FD3;
  background-image: url('..//img/container/Ellipse\ 10.png');
  background-position: center;
  background-repeat: no-repeat;
}
/* Кінець стицізації input в .registracion, .delivery_methods, order_pay */

.order_data label {
  display: inline-block;
  color: #354657;
  margin-bottom: .5rem;
}
.order_data p {
  margin: 1.4rem;
}
.order_data input {
  width: 100%;
  border: 1px solid #B6B6B6;
  border-radius: 3px;
  padding: .6rem;
  color: #ADA8A8;;
}
.order_pay>h3 {
  background-color: white;
  padding-top: 2rem;
  margin-top: 1.4rem;
  padding-left: 1.4rem;
  padding-bottom: 1rem;
}
.basket_prise {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-auto-rows: auto;
  background-color: white;
}
.basket_head {
  background-color: #F0F2F5;
  padding: 1.4rem;
  text-transform: uppercase;
  font-weight: 700;
}
.basket_prise>div {
  padding: 1.4rem;
}
/* Стилізація 3-ї колонки price */
.prise_number {
  display: flex;
  flex-direction: row;
}
.prise_number>div {
  margin-right: 1rem;
}
.number {
  border: 2px solid #E9E9E9;
  box-sizing: border-box;
  border-radius: 3px;
  width: 3rem;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  height: 1.5rem;
}
.number>div {
  font-size: 1.2rem;
}
.number_change {
  background-color: #EEEEEE;
  width: 1.2rem;
  height: 1.5rem;
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  overflow: hidden;
}
.number_reload, .number_cancel {
  height: 2.1rem;
  width: 2.1rem;
  background-position: center;
  background-repeat: no-repeat;
}
.number_cancel {
  background-color: #F83737;
  background-image: url('../img/container/cross.png')
}
.number_reload {
  background-color: #946FD3;
  background-image: url('../img/container/reload\ 1.png');
}
/* Кінець тилізації 3-ї колонки price */

.prise_none {
  visibility: hidden;
}
.basket_prise>div:nth-child(5n-1), .basket_prise>div:nth-child(5n-1) {
  text-transform: uppercase;
}

.method_pay_coment>h3 {
  margin-top: 1.4rem;
  padding-left: 1.4rem;
}

textarea {
  width: 100%;
  height: 10rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
}
.method_pay_coment span {
  margin-left: .5rem;
  font-size: 1.3rem;
  color: #354657;
}
.method_pay_coment div {
  color: #354657;;
}
input#pay {
  display: none;
}
input#pay + label {
  border: 1px solid black;
  height: 1rem;
  width: 1rem;
  display: inline-block;
  background-color: #F0F2F5;
}
input#pay:checked + label {
  border: 1px solid #946FD3;
  background-image: url('..//img/container/Ellipse\ 10.png');
  background-position: center;
  background-repeat: no-repeat;
}
.method_pay_coment button {
  width: 15rem;
  height: 4rem;
  background-color: #946FD3;
  border-radius: 3.6rem;
  float: right;
  margin-bottom: 2.2rem;
}

/* Стилізація footer */

.footer {
  margin-top: 15rem;
  background-color: #F0F2F5;
}
.footer_box {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  height: auto;
}
.footer_left {
  display: flex;
  flex-direction: row;
}
.footer_left ul {
  text-decoration: none;
  margin-top: 2rem;
  margin-left: 12rem;
}
.footer_left li {
  display: inline-block;
  width: 10rem;
}
.footer a {
  text-decoration: none;
  color: #354657;font-size: 1.2rem;
}
.footer_right li {
  list-style: none;
  display: inline-block;
  margin-right: 1.3rem;
}
@media screen and (min-width: 650px) and (max-width: 1000px) {
  html {
    font-size: 12px;
  }
}

@media screen and (min-width: 2000px) {
  html {
    font-size: 17px;
  }